



/** RESET **/
* {
  margin: 0 0;
  padding: 0 0;
  font-size: 16px;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  border: none;
  outline: none;
  @font-face {
  font-family: 'basier_circle_monoregular';
  src: url('fonts/basiercirclemono-regular-webfont.eot');
  src: url('fonts/basiercirclemono-regular-webfont.eot?#iefix') format('embedded-opentype'),
       url('fonts/basiercirclemono-regular-webfont.woff2') format('woff2'),
       url('fonts/basiercirclemono-regular-webfont.woff') format('woff'),
       url('fonts/basiercirclemono-regular-webfont.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  }
}

#container {
  width: 350px;
  height: 350px;
  margin-left: auto;
  margin-right: auto;
  /* background-color: rgba(255,255,255,0.1); */
}

body {
  /* background-color: rgb(17, 17, 17); */
  font-family: "basier_circle_monoregular",monospace;
  color: rgb(222,222,222);
  overflow: hidden;
}

.legend {
  padding: 4px 4px;
  font-size: 85%;
}

.label {
  opacity: 0.4;
  /* font-size: 80%; */
}

/** SHARED **/
.spacer {
  height: 100%;
  width: 0;
  vertical-align: middle;
  display: inline-block;
}

.is--hidden {
  visibility: hidden;
}

/** PLANE **/
#plane-wrapper {
  position: relative;
  min-width: 100%;
  height: 350px;
  perspective-origin: 50% 50%;
  perspective: 2000px;
  cursor: move;
  text-align: center;
  overflow: visible;
  transform-origin: 50% 50%;
}

#plane {
  display: inline-block;
  /* background-color: rgba(255,255,255,0.1); */
  width: 175px;
  height: 175px;
  margin: 0 auto;
  vertical-align: middle;
  transform-style: preserve-3d;
  transform-origin: 50% 50%;
}

/** CUBE **/
.cube {
  position: relative;
  transform-style: preserve-3d;
}

.face {
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #4a22ff;
  transform-origin: 50% 50%;
  z-index: 2;
}

.disabled .face {
  background-color: black;
  border: 1px solid rgba(255,255,255,0.3);
}

.face-1 {
  background-color: #b7a2f7;
  transform: translate3d(0, 0, 25px);
}

.face-2 {
  background-color: #3d11dc;
  transform-origin: 0% 50%;
  transform: rotateX(90deg) translate3d(0, 12.5px, 12.5px);
}

.face-3 {
  background-color: #602ff2;
  transform: rotateX(90deg) translate3d(0, 12.5px, -12.5px);
}

.face-4 {
  background-color: #53ffa6;
  transform-origin: 50% 0%;
  transform: rotateY(90deg) translate3d(-12.5px, 0px, -12.5px);
}

.face-5 {
  background-color: #22b1ee;
  transform-origin: 50% 0%;
  transform: rotateY(90deg) translate3d(-12.5px, 0px, 12.5px);
}

